<!--
%\VignetteEngine{knitr}
%\VignetteIndexEntry{Rd keywords}
-->




## Keywords


```r
cat(readLines(file.path(R.home(), "doc/KEYWORDS")), sep = "\n")
```

```
#> GROUPED Keywords
#> ----------------
#> 
#> Graphics
#> 	aplot		&	Add to Existing Plot / internal plot
#> 	dplot		&	Computations Related to Plotting
#> 	hplot		&	High-Level Plots
#> 	iplot		&	Interacting with Plots
#> 	color		&	Color, Palettes etc
#> 	dynamic		&	Dynamic Graphics
#> 	device		&	Graphical Devices
#> 
#> Basics
#> 	sysdata		&	Basic System Variables		[!= S]
#> 	datasets	&	Datasets available by data(.)	[!= S]
#> 	data		&	Environments, Scoping, Packages [~= S]
#> 	manip		&	Data Manipulation
#> 	attribute	&	Data Attributes
#> 	classes		&	Data Types (not OO)
#> 	    & character	&	Character Data ("String") Operations
#> 	    & complex	&	Complex Numbers
#> 	    & category	&	Categorical Data
#> 	    & NA	&	Missing Values			[!= S]
#> 	list		&	Lists
#> 	chron		&	Dates and Times
#> 	package		&	Package Summaries
#> 
#> Mathematics
#> 	array		&	Matrices and Arrays
#> 	      & algebra &	Linear Algebra
#> 	arith		&	Basic Arithmetic and Sorting	[!= S]
#> 	math		&	Mathematical Calculus etc.	[!= S]
#> 	logic		&	Logical Operators
#> 	optimize	&	Optimization
#> 	symbolmath	&	"Symbolic Math", as polynomials, fractions
#> 	graphs		&	Graphs, (not graphics), e.g. dendrograms
#> 
#> Programming, Input/Ouput, and Miscellaneous
#> 
#> 	programming	&	Programming
#> 	     & interface&	Interfaces to Other Languages
#> 	IO		&	Input/output
#> 	     & file	&	Files
#> 	     & connection&	Connections
#> 	     & database	&	Interfaces to databases
#> 	iteration	&	Looping and Iteration
#> 	methods		&	Methods and Generic Functions
#> 	print		&	Printing
#> 	error		&	Error Handling
#> 
#> 	environment	&	Session Environment
#> 	internal	&	Internal Objects (not part of API)
#> 	utilities	&	Utilities
#> 	misc		&	Miscellaneous
#> 	documentation	&	Documentation
#> 	debugging	&	Debugging Tools
#> 
#> Statistics
#> 
#> 	datagen		&	Functions for generating data sets
#> 	distribution	&	Probability Distributions and Random Numbers
#> 	univar		&	simple univariate statistics  [!= S]
#> 	htest		&	Statistical Inference
#> 	models		&	Statistical Models
#> 	    & regression&	Regression
#> 	    & &nonlinear&	Non-linear Regression (only?)
#> 	robust		&	Robust/Resistant Techniques
#> 	design		&	Designed Experiments
#> 	multivariate	&	Multivariate Techniques
#> 	ts		&	Time Series
#> 	survival	&	Survival Analysis
#> 	nonparametric	&	Nonparametric Statistics [w/o 'smooth']
#> 	smooth		&	Curve (and Surface) Smoothing
#> 	     & loess	&	Loess Objects
#> 	cluster		&	Clustering
#> 	tree		&	Regression and Classification Trees
#> 	survey		&	Complex survey samples
#> 
#> 
#> MASS (2, 1997)
#> --------------
#> 
#> add the following keywords :
#> 
#> 	classif		&	Classification	['class' package]
#> 	spatial		&	Spatial Statistics ['spatial' package]
#> 	neural		&	Neural Networks ['nnet'	 package]
```

